#!/bin/sh
set -e
mkdir -p vendor
cd vendor

rm -rf bulma
wget -nv -O bulma.zip "https://github.com/jgthms/bulma/releases/download/0.9.0/bulma-0.9.0.zip"
unzip -q bulma.zip
rm bulma.zip
mv bulma-* bulma

wget -Nnv \
	"https://sbruder-cdn.s3.eu-central-1.wasabisys.com/ffmpeg-fdk/ffmpeg" \
	"https://sbruder-cdn.s3.eu-central-1.wasabisys.com/ffmpeg-fdk/ffprobe"
sha512sum -c << EOF
29cc5a88d508781fc34ccafa8292c8505395c8a3a2231f71a49f5553176994f2118217f248ba03593464ee6e63c72e8bb1c630779fdac4a3e97925a4aca27836  ffmpeg
bbe17d8b9489c0b5155c57fdc4fe4d7635d57ae98da9767229070210ab41099c4f2af50b42ad5a3283a75605ac9972c93bf8b6cdb00cf2333cc2adfd943ce5f0  ffprobe
EOF
chmod +x ffmpeg ffprobe

mkdir -p ../static/vendor/
cd ../static/vendor/

rm -rf podlove-web-player
mkdir podlove-web-player
wget -nv -O- "https://registry.npmjs.org/@podlove/web-player/-/web-player-4.5.13.tgz" | tar xzf - --strip-components=1 -C podlove-web-player

rm -rf podlove-subscribe-button
wget -nv -O podlove-subscribe-button.zip "https://github.com/podlove/podlove-subscribe-button/releases/download/v17/podlove-subscribe-button-v17.zip"
unzip -q -d podlove-subscribe-button  podlove-subscribe-button.zip
rm podlove-subscribe-button.zip
